%if 0%{?rhel} < 6
%global _initddir %{_initrddir}
%endif

Name:             ipwatchd
Version:          1.2.1
Release:          3%{?dist}
Summary:          IP conflict detection tool

Group:            System Environment/Daemons
License:          GPLv2
URL:              http://ipwatchd.sf.net
Source0:          http://sourceforge.net/projects/ipwatchd/files/ipwatchd/%{version}/ipwatchd-%{version}.tar.gz
Patch0:           ipwatchd-sysvinit.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    libpcap-devel, libnet-devel

Requires(post):   chkconfig
Requires(preun):  chkconfig
Requires(preun):  initscripts
Requires(postun): initscripts

%description
IPwatchD is a simple daemon that analyses all incoming ARP packets in order 
to detect IP conflicts on Linux. It can be configured to listen on one or 
more interfaces (alias interfaces are also supported) in active or passive 
mode. In active mode IPwatchD protects your host before IP takeover by 
answering Gratuitous ARP requests received from conflicting system. 
In passive mode it just records information about conflict through standard 
syslog interface.

%prep
%setup -q
%patch0 -p1

%build
make -C src %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make -C src install DESTDIR=%{buildroot}
# Move init script to /etc/rc.d/init.d
mkdir -p %{buildroot}%{_initddir}
mv %{buildroot}/etc/init.d/ipwatchd %{buildroot}%{_initddir}

%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add ipwatchd
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package is being removed (not upgraded)
    /sbin/service ipwatchd stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del ipwatchd
fi

%postun
if [ $1 -ge 1 ] ; then
    # Package is being upgraded (not removed)
    /sbin/service ipwatchd condrestart > /dev/null 2>&1 || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/ipwatchd.conf
%{_sbindir}/ipwatchd
%{_sbindir}/ipwatchd-script
%{_initddir}/ipwatchd
%{_mandir}/man8/ipwatchd.8*
%{_mandir}/man5/ipwatchd.conf.5*
%{_mandir}/man1/ipwatchd-script.1*
%doc LICENSE

%changelog
* Wed Oct 16 2013 Jaroslav Imrich <jariq@jariq.sk> 1.2.1-3
- Minor changes for EPEL5

* Mon Oct 14 2013 Jaroslav Imrich <jariq@jariq.sk> 1.2.1-2
- Updated for EPEL6

* Sat Mar 02 2013 Jaroslav Imrich <jariq@jariq.sk> 1.2.1-1
- Initial release for CentOS6
